Bug 251598 - Firefox does not not default to XDG_USER_DIRS for download folder
Firefox does not not default to XDG_USER_DIRS for download folder
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
pleaForReproductionFF3
:
: 445104 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-09 17:51 EDT by You
Modified: 2008-05-08 10:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-22 11:05:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 399500 None None None Never

  None (edit)
Description You 2007-08-09 17:51:37 EDT
Description of problem:
Firefox should use the download folder to store downloads.

Version-Release number of selected component (if applicable):
Tested in F8Test1 LiveCD


Steps to Reproduce:
1. Open Firefox
2. Edit >> Preferences
  
Actual results:
Download folder is as Desktop

Expected results:
Firefox should the XDG_USER_DIRS location as default. In this case being the
Download Folder in the english locale

Additional info:
None
Comment 1 Ricky Ng-Adam 2008-01-02 14:23:31 EST
Still a problem in Fedora 8 (firefox-2.0.0.10-3.fc8).
Comment 2 Matěj Cepl 2008-02-21 17:34:26 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 3 Matěj Cepl 2008-02-21 17:35:39 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 4 You 2008-02-22 10:08:26 EST
Just checked with beta3 (downloaded from above linked page, renamed the mozilla
directory to remove "contamination") - the default is still the desktop.
Comment 5 Matěj Cepl 2008-02-22 10:32:30 EST
Just to note that standard is http://standards.freedesktop.org/basedir-spec/latest/
and output of xdg-user-dir is helpful as well.
Comment 6 Matěj Cepl 2008-02-22 11:05:28 EST
We found that this bug has been already registered in the upstream database
(https://bugzilla.mozilla.org/show_bug.cgi?id=399500) and believe that it is
more appropriate to let it be resolved upstream.

Red Hat will continue to track the issue in the centralized upstream bug
tracker, and will review any bug fixes that become available for consideration
in future updates.

Thank you for the bug report.
Comment 7 Christopher Aillon 2008-05-05 17:24:48 EDT
*** Bug 445104 has been marked as a duplicate of this bug. ***
Comment 8 You 2008-05-08 10:03:27 EDT
This bug has more or less been fixed upstream and trickled down into the firefox
in the current rawhide (Mozilla/5.0 (XGecko/2008043010 Fedora/3.0-0.60.beta5.fc9
Firefox/3.0b5).

The only cosmetic issue is that in edit preferences, the download location says
"downloads", but it links to the (correct) directory "download".

Note You need to log in before you can comment on or make changes to this bug.